#!/bin/bash
cd /home/itender/itender || exit -1

if [ -z "$1" ]
then
	git pull "https://tobiash:!IwedwrimmVeudiweN!@git.gaminggeneration.de/tobiash/itender.git" --quiet
else
	yarn
	yarn run compile
	cd ./arduino/itender/
	arduino-cli compile --fqbn arduino:avr:mega itender.ino || true
	sudo systemctl stop itender
	timeout 40 arduino-cli upload --port /dev/ttyACM0 --fqbn arduino:avr:mega itender.ino || true
	sudo systemctl start itender
fi
exit 0
